<?php
require'f_grup.php';
require'f_conectare.php';
conectare('cauta în grupuri','cauta-in-grupuri');
$titlu='Caută în grupuri';
$chenar_patrat=1;
require'f_tabelare.php';
$back[2]='<a href="/cautare">'.img('search.png',2).'Cautare</a>';
require'f_sus.php';
echo$div[4].img('search.png',2).'Caută în grupuri'.$div[5];
if($pmtext!=''||$go!='')
{
$go=rawurldecode($go);
if($pmtext!='')
$go=$pmtext;
$sin=(isset($_POST['sin'])?$_POST['sin']:$_GET['sin']);
$sor=(isset($_POST['sor'])?$_POST['sor']:$_GET['sor']);
$x2='?sin='.$sin.'&amp;sor='.$sor.'&amp;go='.rawurlencode($go);
if($sin==1)
$cond='`descriere`';
elseif($sin==2)
$cond='`nume`';
if($sor==1)
$ord_fields=$cond;
elseif($sor==2)
$ord_fields='`data`';
else
$ord_fields='`data`DESC ';
$elemente=$conn->query('SELECT COUNT(*)FROM`grupuri`WHERE'.$cond.'LIKE"%'.$go.'%"')->fetch_row()[0];
if($elemente>0)
{
require'f_data.php';
if($cond!='`nume`')
require'f_filtru.php';
require'f_paginare1.php';
echo'<table'.$clasa_tabel.'>';
$items=$conn->query('SELECT`id`,`nume`,`logo`,`data`,'.$cond.'FROM`grupuri`WHERE'.$cond.'LIKE"%'.$go.'%"ORDER BY'.$ord_fields.'LIMIT '.$limit_start.','.$pe_pagina);
while($item=$items->fetch_row())
{
echo'<tr><td'.$clasa_kk.'><a href="/grup/id/'.$item[0].'-'.seo($item[1]).'"><img '.$clasa_imagine.'src="'.($item[2]!=''?'/'.$item[2]:$domenii_statice[2].'nopic.jpg').'" alt="Se încarcă..." /></a></td><td'.$clasa_k.'>'.$clasa_n.'<a href="/grup/id/'.$item[0].'-'.seo($item[1]).'">'.htmlspecialchars($item[1]).'</a><small> - '.data($item[3]).$div[0].($cond!='`nume`'?$clasa_normal.filtru($item[4]).$div[0]:'').'</td></tr>';
}
echo'</table>';
require'f_paginare2.php';
}
else
echo$div[7].'Nu sunt rezultate!'.$div[0];
require'f_jos.php';
}
$form[0]='/cauta-in-grupuri" method="post';
$form[1]=1;
require'f_scris3.php';
$form[2]=$div[1].'Text:<br /><input name="pmtext" maxlength="77" />'.$div[0].$div[1].'Cauta in:<br />'.scris3('sin','1,,Descrieri grupuri::2,,Nume grupuri','1').$div[0].$div[1].'Ordonare dupa:<br />'.scris3('sor','1,,Alfabet::2,,Data adăugării (ascendent)::3,,Data adăugării (descendent)','1').$div[0];
$form[3]='pmtext::sin::sor';
$form[4]='Cauta';
require'f_form.php';
require'f_jos.php';